<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="newobject"></a></p>
<h2><a class="anchor" id="newobject"></a>
newobject</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Create a new object.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment">newobject
arg_count
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment">newobject = 85 (0x55)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">..., name1, value1, name2, value2,...,nameN, valueN =&gt; ..., newobj
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>arg_count is a u30 that is the number of properties that will be created in newobj. There will be a total of arg_count name values on the stack, which will be of type String (name1 to nameN). There will be an equal number of values on the stack, which can be of any type, and will be the initial values for the properties</p>
<p>A new value of type Object is created and assigned to newobj. The properties specified on the stack will be dynamically added to newobj. The names of the properties will be name1, name2,..., nameN and these properties will be set to the corresponding values (value1, value2,..., valueN). newobj is then pushed onto the stack.</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>None.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>None. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
